Name: mkinitrd-busybox
Version: 1.00.rel
Release: alt1.M24.1

Summary: Statically linked utilities for initrd
License: GPL
Group: System/Kernel and hardware

Source: busybox-1.00.tar.bz2
Source1: busybox-1.00-mkinitrd.config

Patch1: busybox-1.00-alt-mkinitrd-config.patch
Patch2: busybox-1.00.pre8-alt-raidautorun.patch
Patch3: busybox-1.00.pre8-alt-insmod-allowable_licenses.patch
Patch4: busybox-1.00.pre8-alt-insmod-force_load.patch
Patch5: busybox-1.00-pre8-compiler-fixes.patch
Patch6: busybox-1.00-dietlibc.patch
Patch7: busybox-1.00.pre8-syscalls.patch
Patch8: busybox-1.00-pre8-amd64-hack.patch
Patch9: busybox-1.00-alt-insmod-fix.patch

# Automatically added by buildreq on Tue Jul 16 2002
BuildRequires: dietlibc

%description
BusyBox combines tiny versions of many common UNIX utilities into a
single small executable.  It provides replacements for most of the
utilities you usually find in GNU fileutils, shellutils, etc.  The
utilities in BusyBox generally have fewer options than their
full-featured GNU cousins; however, the options that are included
provide the expected functionality and behave very much like their GNU
counterparts.  BusyBox provides a fairly complete environment for any
small or embedded system.

This version of BusyBox is configured for use in initrd images generated
by the mkinitrd utility.

%prep
%setup -q -n busybox-1.00
%patch1 -p1
%patch2
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7
%patch8

%__cp %SOURCE1 .config

%build
%ifnarch ia64 x86_64
echo CONFIG_FEATURE_2_4_MODULES=y >> .config
echo CONFIG_FEATURE_INSMOD_VERSION_CHECKING=y >> .config
%endif

# SMP-incompatible build - fails to build config.h before it is needed :(
%make LIBRARIES="-lcompat"

%install
%__install -pD -m755 busybox $RPM_BUILD_ROOT/%_lib/mkinitrd/busybox

%files
/%_lib/mkinitrd

%changelog
* Sat May 28 2005 LAKostis <lakostis at altlinux.ru> 1.00.rel-alt1.M24.1
- backport for Master-2.4.

* Tue May 24 2005 Sergey Vlasov <vsu@altlinux.ru> 1.00.rel-alt2
- insmod: fixed module option passing for 2.6.x kernels (#6575).

* Wed Feb 02 2005 Sergey Vlasov <vsu@altlinux.ru> 1.00.rel-alt1
- Updated to 1.00 release.
- Updated alt-mkinitrd-config, dietlibc patches.
- Updated config:
  + enabled ash instead of msh
  + enabled cat, umount, pivot_root

* Thu Aug 05 2004 Sergey Vlasov <vsu@altlinux.ru> 1.00.pre8-alt2
- Set CONFIG_FEATURE_CHECK_TAINTED_MODULE=y (required for GPLONLY_ symbol
  prefix support).
- Disabled parallel make (does not work).

* Mon Jul 26 2004 Kachalov Anton <mouse@altlinux.ru> 1.00.pre8-alt1
- Updated to 1.00-pre8
- Support for x86_64

* Thu Mar 11 2004 Sergey Vlasov <vsu@altlinux.ru> 0.60.5-alt1
- Package busybox for mkinitrd separately.
- Added support for loading Linux 2.6.x modules to insmod (backport from
  busybox-1.00-pre8).

* Sun Nov 09 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.9-alt3
- busybox/insmod: backported GPLONLY_ prefix support.

* Fri Oct 17 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.9-alt2
- busybox/insmod: set TAINT_FORCED_MODULE flag only when load is really forced.

* Thu Aug 28 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.9-alt1
- Updated software raid root support (Sergey Vlasov, #2082).
- Updated bootsplash support (fixes #2442).
- Updated busybox to stable-20030828.
- busybox/insmod: added more licenses to gpl compatibility list,
  to match modutils >= 2.4.15-alt1 behaviour.

* Tue Aug 12 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.8-alt1
- Added software raid root support (Sergey Vlasov).
- Enhanced modutils config parser (uses "modprobe -c").

* Fri May 02 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.7-alt2
- Updated busybox to 0.60.5, updated busybox patches.

* Mon Mar 24 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.7-alt1
- Updated mkinitrd(8).

* Wed Mar 12 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.8.6-alt2
- Increased extra initrd image size by 10%.

* Mon Feb 10 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.6-alt1
- Added bootsplash support (rider).

* Mon Feb 03 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.5-alt1
- Added --pause option (Vladimir Kholmanov <fmfm@symmetron.msk.ru>).

* Tue Oct 29 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.4-alt2
- Rebuilt with new dietlibc.

* Mon Aug 19 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.4-alt1
- Added romfs image support (goldhead).

* Tue Jul 16 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.3-alt2
- Fixed build with new dietlibc.

* Mon Apr 08 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.3-alt1
- Corrected scsimodules/ataraidmodules calculation.

* Fri Feb 22 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.2-alt1
- Copy modules with full path.

* Sat Jan 19 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.1-alt1
- Added "--debug" option for debug messages.
- Cleaned up script to avoid using /usr. 
- Updated dependencies.

* Fri Jan 18 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.8.0-alt1
- Use busybox(echo,insmod,losetup,mount,msh) as linuxrc parser.

* Fri Jan 18 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.7.8-alt1
- Avoid "build" symlinks.

* Wed Jan 16 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.7.7-alt1
- Added more module namings for new master installer.

* Tue Jan 15 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.7.6-alt1
- Fixed scsi autodetection for new master installer.

* Mon Jan 14 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.7.5-alt1
- Use ash.static as linuxrc parser.

* Wed Jan 09 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.7.4-alt1
- Fixed pre_scsi_modules handling.

* Tue Dec 25 2001 Dmitry V. Levin <ldv@altlinux.org> 1:2.7.3-alt1
- Fixed depmod generation for 2.4 kernels.

* Mon Dec 24 2001 Dmitry V. Levin <ldv@altlinux.org> 1:2.7.2-alt1
- Regular mkinitrd cleanup.
- Forked completely due to patch size.

* Fri Dec 14 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.7.1-alt7
- Added ataraid patch

* Fri Nov 23 2001 Dmitry V. Levin <ldv@altlinux.org> 2.7.1-alt6
- Updates package requires.

* Thu Nov 22 2001 Dmitry V. Levin <ldv@altlinux.org> 2.7.1-alt5
- Added support for nested module dependencies.

* Thu Oct 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.7.1-alt4
- Updated versioned dependence on mktemp package.

* Wed Aug 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.7.1-alt3
- Removed versioned dependence on glibc package.
- Updated versioned dependence on mktemp package.

* Tue Jul 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.7.1-alt2
- IMAGESIZE reservation increased from 2% to 10% (goldhead).

* Tue Jul 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.7.1-alt1
- Implemented ramdisk size guessing.
- Rewritten command line options parsing.

* Wed Jul 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.7-ipl3mdk
- Added --strict option.
- Changed IGNOREMODS list.

* Mon May 07 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.7-ipl2mdk
- Do not load ide-cd module.

* Sun Dec 24 2000 Dmitry V. Levin <ldv@fandra.org> 2.7-ipl1mdk
- 2.7 (added modular ide support).

* Tue Nov 28 2000 Dmitry V. Levin <ldv@fandra.org> 2.6-ipl1mdk
- 2.6
- Merged recent MDK changes into out patch.
- Added unobvious requires.

* Tue Nov 14 2000 Dmitry V. Levin <ldv@fandra.org> 2.5-ipl2mdk
- RE adaptions.

* Wed Aug 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5-2mdk
- bug fix

* Mon Aug 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5-1mdk
- update for hackkernel (new modules layout)
- remove exclusiveos:linux (rms'll be happy)
- make it noarch

* Fri Jul 28 2000 Pixel <pixel@mandrakesoft.com> 2.4.3-3mdk
- modified the mdk patch: don't do "insmod the.o || insmod -f the.o" because
sash doesn't handle it :(

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 2.4.3-2mdk
- BM

* Sun Jun 25 2000 Pixel <pixel@mandrakesoft.com> 2.4.3-1mdk
- merge with redhat (mainly modules.conf by default)

* Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
- build on ia64
- bump up initrd size on ia64
- modules.confiscation, /usr/man -> /usr/share/man

* Thu May 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.2-16mdk
- Thanks my god initrd work on alpha !!!.

* Tue May  9 2000 Pixel <pixel@mandrakesoft.com> 2.3.2-15mdk
- add possibility to modules to ignore via env var IGNOREMODS

* Wed May  3 2000 Pixel <pixel@mandrakesoft.com> 2.3.2-14mdk
- patch for skipping usb-storage

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 2.3.2-13mdk
- add handling of non-ext2 root filesytems (again :()

* Mon Apr 17 2000 Pixel <pixel@mandrakesoft.com> 2.3.2-12mdk
- insmod -f instead of insmod

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 2.3.2-11mdk
- new group

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 2.3.2-10mdk
- Added ppc and k7 arch
- Fixed bzipping of man pages

* Mon Mar 13 2000 Pixel <pixel@mandrakesoft.com> 2.3.2-9mdk
- do not require ash.static but sash
- add requires sash >= 3.4

* Mon Mar 13 2000 Pixel <pixel@mandrakesoft.com> 2.3.2-8mdk
- add loopback handling

* Thu Jan  6 2000 Pixel <pixel@mandrakesoft.com>
- fix *buggy* grep scsi_hostadapter on conf.modules

* Mon Jan  3 2000 Pixel <pixel@mandrakesoft.com>
- fix to skip ide-scsi.o (overkill :)

* Tue Dec 28 1999 Pixel <pixel@mandrakesoft.com>
- fix to skip ppa.o and imm.o
- fix a typo

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.3.2.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Upgrade to 2.0.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated description

* Mon Jan 11 1999 Matt Wilson <msw@redhat.com>
- Ignore the absence of scsi modules, include them if they are there, but
  don't complain if they are not.
- changed --no-scsi-modules to --omit-scsi-modules (as it should have been)

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.

* Tue Oct 20 1998 Jakub Jelinek <jj@ultra.linux.cz>
- fix for combined sparc/sparc64 insmod, also pluto module is really
  fc4:soc:pluto and we don't look at deps, so special case it.

* Sat Aug 29 1998 Erik Troan <ewt@redhat.com>
- replaced --needs-scsi-mods (which is now the default) with
  --omit-scsi-mods

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- correct obscure regex/shell interaction (hardwires tabs on line 232)

* Mon Jan 12 1998 Erik Troan <ewt@redhat.com>
- added 'make archive' rule to Makefile
- rewrote install procedure for more robust version handling
- be smarter about grabbing options from /etc/conf.modules

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- made it use /bin/ash.static

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- Only use '-s' to install binaries if /usr/bin/strip is present.
- Use an image size of 2500 if binaries can't be stripped (1500 otherwise)
- Don't use "mount -o loop" anymore -- losetup the proper devices manually
- Requires losetup, e2fsprogs

* Wed Mar 12 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed a bug in parsing options.
- Changed to use a build tree, then copy the finished tree into the
  image after it is built.
- Added patches derived from ones written by Christian Hechelmann which
  add an option to put the kernel version number at the end of the module
  name and use install -s to strip binaries on the fly.
